// stb: Custom Elements Define Library, ES Module/ES5 Target
import { defineCustomElement } from './stb.core.js';
import {
  AppHome,
  MyApp,
  Route,
  RouteLink,
  Router,
  StbAlert,
  StbCard,
  StbCarousel,
  StbCode,
  StbCollapse,
  StbDocumentationApi,
  StbDropdown,
  StbModal,
  StbNav,
  StbPageAlerts,
  StbPageCards,
  StbPageCarousels,
  StbPageCollapses,
  StbPageComponents,
  StbPageDropdowns,
  StbPageModals,
  StbPageNavs,
  StbPagePaginations,
  StbPageProgressBars,
  StbPageToggles,
  StbPagination,
  StbPopover,
  StbPopovers,
  StbProgress,
  StbToggle,
  StbTooltip,
  StbTooltips
} from './stb.components.js';

export function defineCustomElements(window, opts) {
  defineCustomElement(window, [
    AppHome,
    MyApp,
    Route,
    RouteLink,
    Router,
    StbAlert,
    StbCard,
    StbCarousel,
    StbCode,
    StbCollapse,
    StbDocumentationApi,
    StbDropdown,
    StbModal,
    StbNav,
    StbPageAlerts,
    StbPageCards,
    StbPageCarousels,
    StbPageCollapses,
    StbPageComponents,
    StbPageDropdowns,
    StbPageModals,
    StbPageNavs,
    StbPagePaginations,
    StbPageProgressBars,
    StbPageToggles,
    StbPagination,
    StbPopover,
    StbPopovers,
    StbProgress,
    StbToggle,
    StbTooltip,
    StbTooltips
  ], opts);
}